/* -*- C++ -*-
 *
 * This file is a part of LEMON, a generic C++ optimization library
 *
 * Copyright (C) 2003-2006
 * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
 * (Egervary Research Group on Combinatorial Optimization, EGRES).
 *
 * Permission to use, modify and distribute this software is granted
 * provided that this copyright notice appears in all copies. For
 * precise terms see the accompanying LICENSE file.
 *
 * This software is provided "AS IS" with no warranty of any kind,
 * express or implied, and with no claim as to its suitability for any
 * purpose.
 *
 */

#ifndef FILE_CHOOSER_EXTRA_WIDGET
#define FILE_CHOOSER_EXTRA_WIDGET

#include <gtkmm/expander.h>
#include <gtkmm/box.h>
#include <gtkmm/radiobutton.h>
#include <gtkmm/label.h>

class MapStorage;

class FileChooserExtraWidget : public Gtk::Expander
{
  private:
    Gtk::VBox box;
    Gtk::Label lblGUIData;
    Gtk::RadioButton rbGUISection;
    Gtk::RadioButton rbConfFile;
    MapStorage* pMapStorage;
    void onRbToggled();
  public:
    FileChooserExtraWidget(MapStorage* ms);
    ~FileChooserExtraWidget();
};

#endif
